#include <pch.hpp>

#include <scene/components.hpp>

namespace OpenEngine {

    glm::mat4 GetTransformFromComp(TransformComponent& transform_comp)
    {
        glm::mat4 transform = glm::translate(glm::mat4(1.0f), transform_comp.translation);

        transform *= glm::toMat4(glm::quat(transform_comp.rotation));
        transform *= glm::scale(glm::mat4(1.0f), transform_comp.scale);

        return transform;
    };
}
